CVE-2017-9735

NameCVE-2017-9735
DescriptionJetty through 9.4.x is prone to a timing channel in util/security/Password.java, which makes it easier for remote attackers to obtain access by observing elapsed times before rejection of incorrect passwords.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1020-1, DLA-1021-1
NVD severitymedium (attack range: remote)
Debian Bugs864898

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
jetty (PTS)wheezy6.1.26-1vulnerable
wheezy (security)6.1.26-1+deb7u1fixed
jessie6.1.26-4vulnerable
jetty8 (PTS)wheezy8.1.3-4vulnerable
wheezy (security)8.1.3-4+deb7u1fixed
jessie8.1.16-4vulnerable
jetty9 (PTS)stretch9.2.21-1vulnerable
buster, sid9.2.22-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
jettysource(unstable)(unfixed)medium
jettysourcewheezy6.1.26-1+deb7u1mediumDLA-1020-1
jetty8source(unstable)(unfixed)medium
jetty8sourcewheezy8.1.3-4+deb7u1mediumDLA-1021-1
jetty9source(unstable)9.2.22-1medium864898

Notes

https://github.com/eclipse/jetty.project/issues/1556
https://github.com/eclipse/jetty.project/commit/042f325f1cd6e7891d72c7e668f5947b5457dc02
https://github.com/eclipse/jetty.project/commit/f3751d70787fd8ab93932a51c60514c2eb37cb58
https://github.com/eclipse/jetty.project/commit/2baa1abe4b1c380a30deacca1ed367466a1a62ea

Search for package or bug name: Reporting problems